const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_8 = z.x;
    v1_1e = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v3_20 = v1_1e / 256 & 65 # bp+20;
    z.x = z.x & -0x10000 | v1_1e & -0xff01 | 256 * v3_20;
    if v3_20 != 0:;
        pass;
    v1_2f = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    z.x = z.x & -0x10000 | v1_2f & -0xff01 | v1_2f & 0x4100;
    v1_42 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+42;
    z.x = z.x & -0x10000 | v1_42 & -0xff01 | v1_42 & 0x4100;
    v7_57 = j.x # bp+57;
    st7_global_2d_to_2d_local = v7_57 # st7;
    *v0_8 = v7_57;
    v4_5c = st7_global_2d_to_2d_local * st7_global_2d_to_2d_local;
    v7_62 = 2 * v4_5c * v4_5c + j.y # bp+62;
    *z.y_global_2d_to_2d_local = v7_62;
    *z.z = 2 * v7_62 + j.z;
    z.x = v0_8;
    return v0_8;


	}